RDKit: RDKit::HeteroatomIterator_< Atom_, Mol_ > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
RDKit::HeteroatomIterator_< Atom_, Mol_ > Class Template Reference

Iterate over heteroatoms, this is bidirectional. More...

`#include <AtomIterators.h>`

## Public Types
typedef HeteroatomIterator_< Atom_, Mol_ > | ThisType

## Public Member Functions
| HeteroatomIterator_ ()
| HeteroatomIterator_ (Mol_ *mol)
| HeteroatomIterator_ (Mol_ *mol, int pos)
| ~HeteroatomIterator_ ()
| HeteroatomIterator_ (const ThisType &other)
HeteroatomIterator_ & | operator= (const ThisType &other)
bool | operator== (const ThisType &other) const
bool | operator!= (const ThisType &other) const
Atom_ * | operator* () const
ThisType & | operator++ ()
ThisType | operator++ (int)
ThisType & | operator-- ()
ThisType | operator-- (int)

## Detailed Description

template<class Atom_, class Mol_>
class RDKit::HeteroatomIterator_< Atom_, Mol_ >

Iterate over heteroatoms, this is bidirectional.

Definition at line 74 of file AtomIterators.h.

## Member Typedef Documentation

## ◆ ThisType

template<class Atom_, class Mol_>

typedef HeteroatomIterator_<Atom_, Mol_> RDKit::HeteroatomIterator_< Atom_, Mol_ >::ThisType

Definition at line 76 of file AtomIterators.h.

## Constructor & Destructor Documentation

## ◆ HeteroatomIterator_() [1/4]

template<class Atom_, class Mol_>

RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_ | ( |  | ) |
| inline

Definition at line 77 of file AtomIterators.h.

Referenced by operator=().

## ◆ HeteroatomIterator_() [2/4]

template<class Atom_, class Mol_>

RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_ | ( | Mol_ * | mol | ) |

## ◆ HeteroatomIterator_() [3/4]

template<class Atom_, class Mol_>

RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_ | ( | Mol_ * | mol,
|  | int | pos )

## ◆ ~HeteroatomIterator_()

template<class Atom_, class Mol_>

RDKit::HeteroatomIterator_< Atom_, Mol_ >::~HeteroatomIterator_ | ( |  | ) |

## ◆ HeteroatomIterator_() [4/4]

template<class Atom_, class Mol_>

RDKit::HeteroatomIterator_< Atom_, Mol_ >::HeteroatomIterator_ | ( | const ThisType & | other | ) |

## Member Function Documentation

## ◆ operator!=()

template<class Atom_, class Mol_>

bool RDKit::HeteroatomIterator_< Atom_, Mol_ >::operator!= | ( | const ThisType & | other | ) | const

## ◆ operator*()

template<class Atom_, class Mol_>

Atom_ * RDKit::HeteroatomIterator_< Atom_, Mol_ >::operator* | ( |  | ) | const

## ◆ operator++() [1/2]

template<class Atom_, class Mol_>

ThisType & RDKit::HeteroatomIterator_< Atom_, Mol_ >::operator++ | ( |  | ) |

## ◆ operator++() [2/2]

template<class Atom_, class Mol_>

ThisType RDKit::HeteroatomIterator_< Atom_, Mol_ >::operator++ | ( | int |  | ) |

## ◆ operator--() [1/2]

template<class Atom_, class Mol_>

ThisType & RDKit::HeteroatomIterator_< Atom_, Mol_ >::operator-- | ( |  | ) |

## ◆ operator--() [2/2]

template<class Atom_, class Mol_>

ThisType RDKit::HeteroatomIterator_< Atom_, Mol_ >::operator-- | ( | int |  | ) |

## ◆ operator=()

template<class Atom_, class Mol_>

HeteroatomIterator_ & RDKit::HeteroatomIterator_< Atom_, Mol_ >::operator= | ( | const ThisType & | other | ) |

References HeteroatomIterator_().

## ◆ operator==()

template<class Atom_, class Mol_>

bool RDKit::HeteroatomIterator_< Atom_, Mol_ >::operator== | ( | const ThisType & | other | ) | const

The documentation for this class was generated from the following file:

- AtomIterators.h